Bug 837979 - Initial value of project's custom locale list should only include "enabled by default" locales
Initial value of project's custom locale list should only include "enabled by...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.7
Unspecified Unspecified
high Severity low
: ---
: 2.0
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 22:05 EDT by Ding-Yi Chen
Modified: 2012-11-07 01:18 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121009-0030)
Doc Type: Bug Fix
Doc Text:
Cause: When customizing the locale list for a project or version, the initial selection contains all locales, including those that are not enabled by default. Consequence: Locales that are not enabled by default are getting selected by default when overriding project/version locales. Fix: Removed the non enabled-by-default locales from the selected list when overriding locales. Result: In order to add locales that are not enabled by default, the user must explicitly select them and add them to the selected list when overriding locales.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:18:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-07-05 22:05:07 EDT
Description of problem:

Untouched customized list of locales should be consistent with locales list as "Enabled by default" in language manager. 

If not, project maintainers might be tricked into thinking those locales are supported as default, and they will be shocked as push/pull failed.

Version-Release number of selected component (if applicable):
Zanata version 1.7-SNAPSHOT (20120706-0026)

How reproducible:
Always

Steps to Reproduce:
1. Sign in as admin
2. Click Administration -> Manage language
3. Uncheck "Enabled By Default" for en-US
4. Edit a project
5. Check "Would you like to add a customized list of locales?"
  
Actual results:
en-US is enabled.

Expected results:
en-US should not be enabled.

Additional info:
Comment 1 Runa Bhattacharjee 2012-07-30 08:17:29 EDT
Assigning to Zanata Dev Team for evaluation
Comment 2 Carlos Munoz 2012-10-01 21:32:08 EDT
Changed the locales that are selected by default when editing a version or a project. Only "enabled by default" locales will be shown in the selected column. All others will be available for selection.

See:
https://github.com/zanata/zanata/commit/e78595ed9c37c3cfc1763480f7ef3002ee3f70f9
Comment 3 Ding-Yi Chen 2012-10-09 00:00:08 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121009-0030)
Comment 4 Sean Flanigan 2012-11-07 01:18:52 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.